Get contact relationship status
curl --request GET \
--url https://api.wircle.com/v1/contacts/status/{profile_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Profile-Id: <x-profile-id>'import requests
url = "https://api.wircle.com/v1/contacts/status/{profile_id}"
headers = {
"X-Profile-Id": "<x-profile-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Profile-Id': '<x-profile-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.wircle.com/v1/contacts/status/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"state": "none",
"contact_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Contacts
Get contact relationship status
Returns the current viewer’s contact relationship with a profile.
API key requests must include an X-Profile-Id header selecting an attached profile. Required API key scope: contacts:read. Also accepted: contacts:all, all:read, all:all.
GET
/
v1
/
contacts
/
status
/
{profile_id}
Get contact relationship status
Authorizations
Workspace API key created in Developer → API Keys.
Headers
The workspace profile performing the request. It must be attached to the API key.
Path Parameters
Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
Whether the API request completed successfully.
Available options:
true Returns the current viewer’s contact relationship with a profile.
Show child attributes
Show child attributes
Wircle-generated context for AI agents. This object may be empty.
Show child attributes
Show child attributes
⌘I